Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.client
Interface EPPProxyServersLocator

All Known Implementing Classes:
  EPPConfigProxyServersLocator

    public interface EPPProxyServersLocator

Interface to locate the EPP proxy server to use. This allows a client to define their own mechanism to determine the proxy servers to use outside of what is defined in the configuration file.

Method Summary
`java.util.List` | `getProxyServers()` Returns a `List` of `EPPProxyServers` instances for use in identifying the proxy servers to attempt to connect through when configured with the `EPPSSLProxyClientSocket` or `EPPPlainProxyClientSocket` classes.

Method Detail

### getProxyServers

    java.util.List getProxyServers()

  Returns a `List` of `EPPProxyServers` instances for use in identifying the proxy servers to attempt to connect through when configured with the `EPPSSLProxyClientSocket` or `EPPPlainProxyClientSocket` classes.

  Returns:
    List of `EPPProxyServers` servers in the correct format if defined;`null` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.